Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Send Invoice


The Send Invoice request publishes a draft invoice and, depending on the deliveryMode set at creation, either emails the invoice to the customer (deliveryMode: email) or makes it accessible via the payment link (deliveryMode: none). This request also resends invoices in CREATED, SENT, or PARTIAL status. Fully paid or canceled invoices cannot be resent.

The {id} is the invoice number from the invoice creation response.

Follow-on operations: Update Invoice, Cancel Invoice, Get Invoice Details, Get Invoices

Endpoint

POST /invoicing/v2/invoices/{id}/delivery

POST /invoicing/v2/invoices/{id}/delivery

POST /invoicing/v2/invoices/{id}/delivery

Example

This endpoint requires no request body.
{  "_links": {    "self": {      "href": "/v2/invoices/2675",      "method": "GET"    },    "update": {      "href": "/v2/invoices/2675",      "method": "PUT"    },    "deliver": {      "href": "/v2/invoices/2675/delivery",      "method": "POST"    },    "cancel": {      "href": "/v2/invoices/2675/cancelation",      "method": "POST"    }  },  "id": "2675",  "submitTimeUtc": "2024-07-24T19:54:06.665139633Z",  "status": "SENT",  "customerInformation": {    "name": "Tanya Lee",    "email": "[email protected]",    "merchantCustomerId": "1234",    "company": {      "name": "ABC"    }  },  "processingInformation": {    "requestPhone": false,    "requestShipping": false  },  "invoiceInformation": {    "invoiceNumber": "2675",    "description": "This is a test invoice",    "dueDate": "2019-07-11",    "allowPartialPayments": true,    "paymentLink": "/ebc2/invoicing/payInvoice/9fO0CogtSMJiDO3VKR4GYijUSYHtKV4kjS6u0ENZpY9iq2pkdKJmwTTSlGCDOVHJ?version=v2.1",    "deliveryMode": "Email"  },  "orderInformation": {    "amountDetails": {      "totalAmount": 2623.64,      "currency": "USD",      "balanceAmount": 2623.64,      "discountAmount": 126.08,      "discountPercent": 5,      "subAmount": 2749.72,      "minimumPartialAmount": 20,      "taxDetails": {        "type": "State Tax",        "amount": 208,        "rate": 8.25      },      "freight": {        "amount": 20,        "taxable": true      }    },    "lineItems": [      {        "productSku": "P653727383",        "productName": "First line item's name",        "unitPrice": 12.05,        "quantity": 20,        "discountAmount": 13.04,        "taxAmount": 0,        "taxRate": 0,        "totalAmount": 247.86      }    ]  }}

Status Transitions

The invoice status might change depending on the invoiceInformation.deliveryMode that was set when the invoice was created:

Initial StatusDelivery MethodDescriptionNew Status
DRAFTemailAn invoice email is sent to the customer.SENT
DRAFTnoneThe customer is not sent an invoice email. The invoiceInformation.paymentLink URL from the response is shared with the customer.CREATED
CREATEDemailAn invoice email is sent to the customer.SENT
SENTemailAn invoice email is resent to the customer.SENT
CREATEDnoneThe invoiceInformation.paymentLink URL from the response is shared with the customer.CREATED
PARTIALemailAn invoice email is sent to the customer.PARTIAL
PARTIALnoneThe invoiceInformation.paymentLink URL from the response is shared with the customer.PARTIAL

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.